/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMForm.hh,v $
// $Revision: 1.4 $
// $State: Exp $
// $Author: grlcr $
// $Date: 89/12/08 15:24:43 $
// $Locker:  $
//
// $Log:	XMForm.hh,v $
Revision 1.4  89/12/08  15:24:43  grlcr
*** empty log message ***

Revision 1.3  89/11/22  12:57:21  kseethar
major reworking

Revision 1.2  89/11/03  10:52:53  motifplb
*** empty log message ***

Revision 1.1  89/11/02  12:20:57  motifplb
Initial revision

// ***** Created Oct 11, 1989 by BRM *****
//-----------------------------------------------------------------------------
*/

#ifndef XMForm_hh
#define XMForm_hh

#include "XMBulletinB.hh"
#include <Xm/Form.h>

class XMForm : public XMBulletinBoard {
 protected:
     // ****CONSTRUCTORS****
     XMForm ();

 public :
     // ****CONSTRUCTORS****
     XMForm (XMObject*, String,Boolean managed=True);

     // ****DESTRUCTOR****
     ~XMForm ();

     // ****METHODS TO SET THE Form RESOURCES****
     void set_fractionBase             (int);
     void set_horizontalSpacing        (int);
     void set_rubberPositioning        (Boolean);
     void set_verticalSpacing          (int);

     // ****METHODS TO SET THE Form Constraint RESOURCES****
     // Provide 2 ways of setting/getting constraint resources : one 
     // through the parent and one through the child
     void set_bottomAttachment         (u_char);
     void set_bottomOffset             (int);
     void set_bottomPosition           (int);
     void set_bottomWidget             (XMObject*);
     void set_leftAttachment           (u_char);
     void set_leftOffset               (int);
     void set_leftPosition             (int);
     void set_leftWidget               (XMObject*);
     void set_resizable                (Boolean);
     void set_rightAttachment          (u_char);
     void set_rightOffset              (int);
     void set_rightPosition            (int);
     void set_rightWidget              (XMObject*);
     void set_topAttachment            (u_char);
     void set_topOffset                (int);
     void set_topPosition              (int);
     void set_topWidget                (XMObject*);

     void set_bottomAttachment         (XMObject*, u_char);
     void set_bottomOffset             (XMObject*, int);
     void set_bottomPosition           (XMObject*, int);
     void set_bottomWidget             (XMObject*, XMObject*);
     void set_leftAttachment           (XMObject*, u_char);
     void set_leftOffset               (XMObject*, int);
     void set_leftPosition             (XMObject*, int);
     void set_leftWidget               (XMObject*, XMObject*);
     void set_resizable                (XMObject*, Boolean);
     void set_rightAttachment          (XMObject*, u_char);
     void set_rightOffset              (XMObject*, int);
     void set_rightPosition            (XMObject*, int);
     void set_rightWidget              (XMObject*, XMObject*);
     void set_topAttachment            (XMObject*, u_char);
     void set_topOffset                (XMObject*, int);
     void set_topPosition              (XMObject*, int);
     void set_topWidget                (XMObject*, XMObject*);

     // ****METHODS TO GET THE Form RESOURCES****
     void get_fractionBase             (int*);
     void get_horizontalSpacing        (int*);
     void get_rubberPositioning        (Boolean*);
     void get_verticalSpacing          (int*);

     // ****METHODS TO GET THE Form Constraint RESOURCES****
     void get_bottomAttachment         (u_char*);
     void get_bottomOffset             (int*);
     void get_bottomPosition           (int*);
     void get_bottomWidget             (XMObject*);
     void get_leftAttachment           (u_char*);
     void get_leftOffset               (int*);
     void get_leftPosition             (int*);
     void get_leftWidget               (XMObject*);
     void get_resizable                (Boolean*);
     void get_rightAttachment          (u_char*);
     void get_rightOffset              (int*);
     void get_rightPosition            (int*);
     void get_rightWidget              (XMObject*);
     void get_topAttachment            (u_char*);
     void get_topOffset                (int*);
     void get_topPosition              (int*);
     void get_topWidget                (XMObject*);

     void get_bottomAttachment         (XMObject*, u_char*);
     void get_bottomOffset             (XMObject*, int*);
     void get_bottomPosition           (XMObject*, int*);
     void get_bottomWidget             (XMObject*, XMObject*);
     void get_leftAttachment           (XMObject*, u_char*);
     void get_leftOffset               (XMObject*, int*);
     void get_leftPosition             (XMObject*, int*);
     void get_leftWidget               (XMObject*, XMObject*);
     void get_resizable                (XMObject*, Boolean*);
     void get_rightAttachment          (XMObject*, u_char*);
     void get_rightOffset              (XMObject*, int*);
     void get_rightPosition            (XMObject*, int*);
     void get_rightWidget              (XMObject*, XMObject*);
     void get_topAttachment            (XMObject*, u_char*);
     void get_topOffset                (XMObject*, int*);
     void get_topPosition              (XMObject*, int*);
     void get_topWidget                (XMObject*, XMObject*);
};

#endif     // XMForm_hh

// dont add stuff after this endif
