/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMScale.hh,v $
// $Revision: 1.5 $
// $State: Exp $
// $Author: kseethar $
// $Date: 89/12/13 12:37:09 $
// $Locker:  $
//
// $Log:	XMScale.hh,v $
Revision 1.5  89/12/13  12:37:09  kseethar
*** empty log message ***

Revision 1.4  89/12/08  15:29:27  grlcr
*** empty log message ***

Revision 1.3  89/11/22  13:03:01  kseethar
major reworking

Revision 1.2  89/11/03  09:36:43  grlcr
*** empty log message ***

Revision 1.1  89/11/02  12:36:26  motifplb
Initial revision

// ***** Created Oct 11, 1989 by BRM *****
//-----------------------------------------------------------------------------
*/

#ifndef XMScale_hh
#define XMScale_hh

#include "XMManager.hh"
#include <Xm/Scale.h>

class XMScale : public XMManager {
 protected:
         XMScale ();
 public :
     // ****CONSTRUCTORS****
     XMScale (XMObject*, String,Boolean managed=True);

     // ****DESTRUCTOR****
     ~XMScale ();

     // ****METHODS TO SET THE Scale RESOURCES****
     void set_decimalPoints              (short);
     void set_dragCallback               (XtCallbackList);
     void set_entry_dragCallback         (XtCallbackProc, caddr_t);
     void set_fontList                   (XMFontList*);
     void set_highlightOnEnter           (Boolean);
     void set_highlightThickness         (short);
     void set_maximum                    (int);
     void set_minimum                    (int);
     void set_orientation                (u_char);
     void set_processingDirection        (u_char);
     void set_scaleHeight                (Dimension);
     void set_scaleWidth                 (Dimension);
     void set_showValue                  (Boolean);
     void set_titleString                (XMString*);
     void set_traversalOn                (Boolean);
     void set_value                      (int);
     void set_valueChangedCallback       (XtCallbackList);
     void set_entry_valueChangedCallback (XtCallbackProc, caddr_t);

     // ****METHODS TO GET THE Scale RESOURCES****
     void get_decimalPoints              (short*);
     void get_fontList                   (XMFontList*);
     void get_highlightOnEnter           (Boolean*);
     void get_highlightThickness         (short*);
     void get_maximum                    (int*);
     void get_minimum                    (int*);
     void get_orientation                (u_char*);
     void get_processingDirection        (u_char*);
     void get_scaleHeight                (Dimension*);
     void get_scaleWidth                 (Dimension*);
     void get_showValue                  (Boolean*);
     void get_titleString                (XMString*);
     void get_traversalOn                (Boolean*);
     void get_value                      (int*);

     // ****TOOLKIT INTRINSIC COVER FUNCTIONS****
     int  GetValue                       ();
     void SetValue                       (int);
};

#endif     // XMScale_hh

// dont add stuff after this endif
